Loading...
Searching...
No Matches
USRDescriptor.h File Reference

Contains the USR descriptor. Use MolDescriptors.h in client code. More...

`#include <RDGeneral/export.h>`
`#include <Geometry/point.h>`
`#include <Numerics/Vector.h>`

Go to the source code of this file.

## Namespaces

namespace | RDKit
| Std stuff.
namespace | RDKit::Descriptors

## Functions

RDKIT_DESCRIPTORS_EXPORT void | RDKit::Descriptors::USR (const ROMol &mol, std::vector< double > &descriptor, int confId=-1)
RDKIT_DESCRIPTORS_EXPORT void | RDKit::Descriptors::USRCAT (const ROMol &mol, std::vector< double > &descriptor, std::vector< std::vector< unsigned int > > &atomIds, int confId=-1)
RDKIT_DESCRIPTORS_EXPORT void | RDKit::Descriptors::calcUSRDistributions (const RDGeom::Point3DConstPtrVect &coords, std::vector< std::vector< double > > &dist, std::vector< RDGeom::Point3D > &points)
RDKIT_DESCRIPTORS_EXPORT void | RDKit::Descriptors::calcUSRDistributionsFromPoints (const RDGeom::Point3DConstPtrVect &coords, const std::vector< RDGeom::Point3D > &points, std::vector< std::vector< double > > &dist)
RDKIT_DESCRIPTORS_EXPORT void | RDKit::Descriptors::calcUSRFromDistributions (const std::vector< std::vector< double > > &dist, std::vector< double > &descriptor)
RDKIT_DESCRIPTORS_EXPORT double | RDKit::Descriptors::calcUSRScore (const std::vector< double > &d1, const std::vector< double > &d2, const std::vector< double > &weights)

## Detailed Description

Contains the USR descriptor. Use MolDescriptors.h in client code.

Definition in file USRDescriptor.h.